aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-31 11:56:18 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-31 11:56:18 +0000
commitfaf0443f9458d1576f565978d8065862c50abcff (patch)
tree9bf7193d3cc6621348e5bdbf5a951877fdfed60e /unmaintained
parent1e9fcc6ba854913c4424d1b8157a74cfb24446f4 (diff)
downloadaports-faf0443f9458d1576f565978d8065862c50abcff.tar.gz
aports-faf0443f9458d1576f565978d8065862c50abcff.tar.bz2
aports-faf0443f9458d1576f565978d8065862c50abcff.tar.xz
testing/libprojectm: move to unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/libprojectm/APKBUILD43
-rw-r--r--unmaintained/libprojectm/projectm-isnan.patch20
2 files changed, 63 insertions, 0 deletions
diff --git a/unmaintained/libprojectm/APKBUILD b/unmaintained/libprojectm/APKBUILD
new file mode 100644
index 0000000000..3bb14afdd7
--- /dev/null
+++ b/unmaintained/libprojectm/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=libprojectm
+pkgver=2.0.1
+pkgrel=4
+pkgdesc="milkdrop-like music visualizer using opengl"
+url="http://projectm.sourceforge.net/"
+arch="all"
+license="LGPL"
+depends=
+depends_dev="mesa-dev ftgl-dev glew-dev"
+makedepends="cmake $depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://downloads.sourceforge.net/projectm/projectM-${pkgver}-Source.tar.gz
+ projectm-isnan.patch"
+
+_srcdir="$srcdir/projectM-${pkgver}-Source"
+_builddir="$srcdir/build"
+prepare() {
+ local i
+ mkdir -p "$_builddir"
+ cd "$_srcdir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ cmake -DCMAKE_INSTALL_PREFIX=/usr "$_srcdir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="f8bf795878cdbbef54784cf2390b4c89 projectM-2.0.1-Source.tar.gz
+0090aaeb6f4df4600ffadfc7b7c0e732 projectm-isnan.patch"
diff --git a/unmaintained/libprojectm/projectm-isnan.patch b/unmaintained/libprojectm/projectm-isnan.patch
new file mode 100644
index 0000000000..d8738e709c
--- /dev/null
+++ b/unmaintained/libprojectm/projectm-isnan.patch
@@ -0,0 +1,20 @@
+--- projectM-2.0.1-Source/Common.hpp
++++ projectM-2.0.1-Source.mod/Common.hpp
+@@ -30,6 +30,7 @@
+ #include <typeinfo>
+ #include <cstdarg>
+ #include <cassert>
++#include <math.h>
+ #ifdef _MSC_sVER
+ #define strcasecmp(s, t) _strcmpi(s, t)
+ #endif
+@@ -55,7 +56,7 @@
+
+ #ifdef LINUX
+ #include <cstdlib>
+-#define projectM_isnan isnan
++#define projectM_isnan __isnan
+
+ #endif
+
+